/*****************************************************

  This file contains the function prototypes for the
  file user.c.  These functions are all used in
  conjunction with the user interface.

*****************************************************/

/********CONSTANTS **********************/
#define     NO_ACTION     1
#define     FIND_TREE     2
#define     PRINT_TREE    3
#define     PRINT_UNREACH 4
#define     PRINT_PATH    5
#define     DONE          9


int           parse_user_input( Network *net, NAME source, NAME dest, long *max_thresh,
			        Ifc_list *subnets, FILE **out );
int           disable_edge( Network *net, NAME frm_name, NAME to_name, FILE *out );
int           delete_subnet_conn( Network *net, Interface *frm_ifc, NAME frm_name, FILE *out );
void           add_subnet_conn( Network *net, Interface *frm_ifc, NAME frm_name, FILE *out );
int           delete_edge( Network *net, NAME frm_name, NAME to_name, FILE *out );
Change_item  *push_change( Change_stack *stack, u_long type, NAME frm_name, NAME to_name );
Change_item  *extract_change( Change_stack *stack, u_long type, NAME frm_name,
			      NAME to_name );
void          print_changes( Change_stack *stack, long number, FILE *out );
void          explain_output( FILE *out );
void          print_network( FILE *net_out, Network  *net );
